# Blob Polyfill

[![npm](https://img.shields.io/npm/v/blob-polyfill.svg)](https://www.npmjs.com/package/blob-polyfill)
[![npm](https://img.shields.io/npm/dm/blob-polyfill.svg)](https://www.npmjs.com/package/blob-polyfill)
[![build status](https://github.com/bjornstar/blob-polyfill/actions/workflows/node.js.yml/badge.svg?branch=master)](https://github.com/bjornstar/blob-polyfill/actions/workflows/node.js.yml?query=branch%3Amaster)

## Purpose

Blob Polyfill serves [Blob.js][0] over npm.

Blob.js implements the W3C [`Blob`][1] interface in browsers that do not natively support it.

## Changelog

[Please read the changelog](CHANGELOG.md)

## Installation

To install this library, run:

```bash
$ npm install blob-polyfill --save
```

## Usage

CommonJS:
```js
var Blob = require('blob-polyfill').Blob;
```

AMD
```js
import { Blob } from 'blob-polyfill';
```

## Supported browsers

Blob.js shares the [same supported browsers as FileSaver.js][2].

## License

[MIT](LICENSE.md)

![Tracking image](https://in.getclicky.com/212712ns.gif)

  [0]: https://github.com/eligrey/Blob.js
  [1]: https://developer.mozilla.org/en-US/docs/Web/API/Blob
  [2]: https://github.com/eligrey/FileSaver.js#supported-browsers
